Bug 143508 - Spec file fails to require GFS-devel for build
Summary: Spec file fails to require GFS-devel for build
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-21 19:37 UTC by Phillip Sorensen
Modified: 2009-04-16 20:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 15:58:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phillip Sorensen 2004-12-21 19:37:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
When trying to rebuild the clumanager package from the SRPM it fails
becuase of the missing header file libgulm.h

After installing the GFS-devel package, the SRPM rebuilt fine.

This appears to be a problem with the spec file.  Adding a build
requirement for GFS-devel would solve the problem.

Version-Release number of selected component (if applicable):
clumanager-1.2.22-2

How reproducible:
Always

Steps to Reproduce:
1. Get clumanager-1.2.22-2.src.rpm for ftp.redhat.com
2. type "rpmbuild --rebuild clumanager-1.2.22-2.src.rpm" on a system
without GFS-devel installed 

    

Actual Results:  Rebuild fails with error about can't open libgulm.h

Expected Results:  RPM is built

Comment 1 Lon Hohberger 2005-01-03 15:58:28 UTC
True enough.  I've fixed this in CVS; this will be fixed (at the
latest) in the next quarterly update.




Note You need to log in before you can comment on or make changes to this bug.